import os
import sys

GLOOBUS_URL = 'http://gloobus.net/'
REPORT_URL = 'https://bugs.launchpad.net/covergloobus/+filebug'

DBUS_NAME = 'net.gloobus.covergloobus'
DBUS_PATH = '/net/gloobus/covergloobus'

ABS_PATH = os.path.abspath(os.path.dirname(sys.argv[0]))
ICON_PATH = ABS_PATH + '/images/covergloobus.png'
HOME_PATH = os.path.expanduser("~")

if not os.path.exists(HOME_PATH + '/.CoverGloobus/'):
    os.mkdir(HOME_PATH+'/.CoverGloobus/')

LOCK_PATH = HOME_PATH + '/.CoverGloobus/CoverGloobus.lock'
CONFIG_PATH = HOME_PATH + '/.config/CoverGloobus/CoverGloobus.cfg'

CACHE_PATH = HOME_PATH + '/.cache/CoverGloobus/'
if not os.path.exists(CACHE_PATH):
    os.mkdir(CACHE_PATH)

THEME_PATH = HOME_PATH+'/.CoverGloobus/themes/'
if not os.path.exists(THEME_PATH):
    os.mkdir(THEME_PATH)

THREAD_COUNTER = 0

COVER, STATE, TIME, TRACK, PLAYER = range(5)
