class Observer(object):
    def __init__(self, target, callback, *args):
        super(Observer, self).__init__()
        self.target = target
        self.callback = callback
        self.args = args

    def __call__(self, *args):
        if not self.callback is None:
            args += self.args
            self.callback(*args)
