class Track(object):
    def __init__(self, title='', album='',artist='',rating='0',cover='',
        genre='', year='0', tracknumber='0', location='', length=''):
        self.title = title
        self.album = album
        self.artist = artist

        self.cover = cover
        self.genre = genre
        self.location = location

        try:
            self.rating = int(rating)
        except:
            self.rating = 0
        try:
            self.year = int(year)
        except:
            self.year = 0
        try:
            self.tracknumber = int(tracknumber)
        except:
            self.tracknumber = 0
        try:
            self.length = int(length)
        except:
            self.length = 0

    def __str__(self):
        return '%s, %s, %s, %d, %s, %s' % (self.artist, self.title,
            self.album, self.rating, self.cover, self.genre)

class State:
    PLAYING = 1
    PAUSED = 2
    STOPPED = 3
    STARTED = 4
    CLOSED = 5

    @staticmethod
    def toString(state):
        if state == State.PLAYING:
            return 'playing'
        elif state == State.PAUSED:
            return 'paused'
        elif state == State.STOPPED:
            return 'stopped'
        elif state == State.STARTED:
            return 'started'
        elif state == State.CLOSED:
            return 'closed'
        else:
            return 'unknown'

    @staticmethod
    def get(string):
        if string == 'playing':
            return State.PLAYING
        elif string == 'paused':
            return State.PAUSED
        elif string == 'stopped':
            return State.STOPPED
        elif string == 'started':
            return State.STARTED
        elif string == 'closed':
            return State.CLOSED
        else:
            raise Exception()
