#!/usr/bin/env python

# INFO:
# - a simple viewer for currently playing song and covers/lyrics searcher
# - Webpage: http://launchpad.net/covergloobus
# - Blog:    http://gloobus.wordpress.com
# - Donate:  guitarboy000@gmail.com via PayPal

#This program is free software; you can redistribute it and/or
#modify it under the terms of the GNU General Public License
#as published by the Free Software Foundation; either version 2
#of the License, or (at your option) any later version.
#
#This program is distributed in the hope that it will be useful,
#but WITHOUT ANY WARRANTY; without even the implied warranty of
#MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#GNU General Public License for more details.
#
#You should have received a copy of the GNU General Public License
#along with this program; if not, write to the Free Software
#Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

import pygtk
pygtk.require('2.0')

import gtk
if gtk.pygtk_version < (2,10,0):
    c.error("PyGtk 2.10.0 or later required")
    raise SystemExit(1)

import gobject
gobject.threads_init()

import core

from core.covergloobus import CoverGloobus


if __name__ == '__main__':
    core.init()
    CoverGloobus().main()
