# Copyright (C) 2009-2010 Gloobus Developers
#
#This program is free software; you can redistribute it and/or
#modify it under the terms of the GNU General Public License
#as published by the Free Software Foundation; either version 2
#of the License, or (at your option) any later version.
#
#This program is distributed in the hope that it will be useful,
#but WITHOUT ANY WARRANTY; without even the implied warranty of
#MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#GNU General Public License for more details.
#
#You should have received a copy of the GNU General Public License
#along with this program; if not, write to the Free Software
#Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

import os

from core.common import ABS_PATH

class GenericCover(object):
    __loaded = False

    __title__ = 'GenericLyric'
    __version__ = '0.0'
    __authors__ = 'Authors'
    __desc__ = 'Description goes here'

    __local__ = False

    @staticmethod
    def load():
        if not GenericCover.__loaded:
            for name in os.listdir(os.path.join(ABS_PATH, 'covers')):
                if name.endswith('.py') and name != '__init__.py':
                    __import__('covers.' + name[:-3])
                GenericCover.__loaded = True
        return GenericCover.__subclasses__()
